| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ModifyDestinationRequest Class Reference
Destination and Route

Modify Destination request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | Name
| Symbolic name of the destination. More...
xsd__string | NewName
| New symbolic name of the destination. More...
enum unsp__SignalingType | Signaling
| Indicates the type of destination signaling. More...
enum unsp__BearerCaps | Bearer
| Assigned bearer capability of the route. More...
enum unsp__DestinationAttributes | DestinationAttributes
| Destination attributes. More...
enum unsp__Attributes | Attributes
| Attributes. More...
xsd__string | NumberPlanName
| Name of the Number plan of the destination. More...
enum unsp__Attributes | PrefixAreaCode
| Prefix Area Code. More...
enum unsp__Attributes | PrefixCountryCode
| Prefix Country Code. More...
enum unsp__Attributes | ReRoute
| ReRoute. More...
enum unsp__Attributes * | ReRouteWModifiedNumber
| ReRouteWModifiedNumber. More...

## Detailed Description

Modify Destination request.

Used by unsp__modifyDestination()

## Member Data Documentation

## ◆ Attributes

enum unsp__Attributes unsp__ModifyDestinationRequest::Attributes

Attributes.

required: false
default value[range]: AtrNo

## ◆ Bearer

enum unsp__BearerCaps unsp__ModifyDestinationRequest::Bearer

Assigned bearer capability of the route.

required: false
default value[range]: CapUnused

## ◆ DestinationAttributes

enum unsp__DestinationAttributes unsp__ModifyDestinationRequest::DestinationAttributes

Destination attributes.

required: false
default value[range]: DaNotMSDest

## ◆ Name

xsd__string unsp__ModifyDestinationRequest::Name

Symbolic name of the destination.

required: true

See also
  unsp__DestName

## ◆ NewName

xsd__string unsp__ModifyDestinationRequest::NewName

New symbolic name of the destination.

required: false

See also
  unsp__DestName

## ◆ NumberPlanName

xsd__string unsp__ModifyDestinationRequest::NumberPlanName

Name of the Number plan of the destination.

required: false

See also
  unsp__NumberPlanName

## ◆ OperatorId

xsd__string unsp__ModifyDestinationRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ PrefixAreaCode

enum unsp__Attributes unsp__ModifyDestinationRequest::PrefixAreaCode

Prefix Area Code.

required: false
default value[range]: NA

## ◆ PrefixCountryCode

enum unsp__Attributes unsp__ModifyDestinationRequest::PrefixCountryCode

Prefix Country Code.

required: false
default value[range]: NA

## ◆ ReRoute

enum unsp__Attributes unsp__ModifyDestinationRequest::ReRoute

ReRoute.

required: false
default value[range]: NA

## ◆ ReRouteWModifiedNumber

enum unsp__Attributes* unsp__ModifyDestinationRequest::ReRouteWModifiedNumber

ReRouteWModifiedNumber.

required: false
default value[range]: NA

## ◆ Signaling

enum unsp__SignalingType unsp__ModifyDestinationRequest::Signaling

Indicates the type of destination signaling.

required: false
default value[range]: SigUnused

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h